/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at
 * trunk/opends/resource/legal-notices/OpenDS.LICENSE
 * or https://OpenDS.dev.java.net/OpenDS.LICENSE.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at
 * trunk/opends/resource/legal-notices/OpenDS.LICENSE.  If applicable,
 * add the following below this CDDL HEADER, with the fields enclosed
 * by brackets "[]" replaced with your own identifying information:
 *      Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 *
 *      Copyright 2008 Sun Microsystems, Inc.
 */
package org.opends.server.admin.std.client;



import org.opends.server.admin.ManagedObjectDefinition;
import org.opends.server.admin.std.server.ApproximateMatchingRuleCfg;



/**
 * A client-side interface for reading and modifying Approximate
 * Matching Rule settings.
 * <p>
 * Approximate Matching Rules define a set of rules for performing
 * approximate matching operations against assertion values. In many
 * cases, approximate matching is based on a "sounds like" operation.
 */
public interface ApproximateMatchingRuleCfgClient extends MatchingRuleCfgClient {

  /**
   * Get the configuration definition associated with this Approximate Matching Rule.
   *
   * @return Returns the configuration definition associated with this Approximate Matching Rule.
   */
  ManagedObjectDefinition<? extends ApproximateMatchingRuleCfgClient, ? extends ApproximateMatchingRuleCfg> definition();

}
